Loading...
Searching...
No Matches
DJEncoder Class Referenceabstract

abstract base class for compression classes. More...

Inheritance diagram for DJEncoder:

## Public Member Functions

| DJEncoder ()
| default constructor
virtual | ~DJEncoder ()
| destructor
virtual OFCondition | encode (Uint16 columns, Uint16 rows, EP_Interpretation interpr, Uint16 samplesPerPixel, Uint16 *image_buffer, Uint8 *&to, Uint32 &length)=0
| single frame compression routine for 16-bit raw pixel data.
virtual OFCondition | encode (Uint16 columns, Uint16 rows, EP_Interpretation interpr, Uint16 samplesPerPixel, Uint8 *image_buffer, Uint8 *&to, Uint32 &length)=0
| single frame compression routine for 8-bit raw pixel data.
virtual Uint16 | bytesPerSample () const =0
| returns the number of bytes per sample that will be expected when encoding.
virtual Uint16 | bitsPerSample () const =0
| returns the number of bits per sample that will be expected when encoding.

## Detailed Description

abstract base class for compression classes.

## Member Function Documentation

## encode() [1/2]

virtual OFCondition DJEncoder::encode | ( | Uint16 | columns,
|  | Uint16 | rows,
|  | EP_Interpretation | interpr,
|  | Uint16 | samplesPerPixel,
|  | Uint16 * | image_buffer,
|  | Uint8 *& | to,
|  | Uint32 & | length )

pure virtual

single frame compression routine for 16-bit raw pixel data.

May only be called if bytesPerSample() == 2.

Parameters

  columns | columns of frame
  rows | rows of frame
  interpr | photometric interpretation of input frame
  samplesPerPixel | samples per pixel of input frame
  image_buffer | pointer to frame buffer
  to | compressed frame returned in this parameter upon success
  length | length of compressed frame (in bytes) returned in this parameter upon success; length guaranteed to be always even.

Returns
  EC_Normal if successful, an error code otherwise.

Implemented in DJCompressIJG12Bit, DJCompressIJG16Bit, and DJCompressIJG8Bit.

## encode() [2/2]

virtual OFCondition DJEncoder::encode | ( | Uint16 | columns,
|  | Uint16 | rows,
|  | EP_Interpretation | interpr,
|  | Uint16 | samplesPerPixel,
|  | Uint8 * | image_buffer,
|  | Uint8 *& | to,
|  | Uint32 & | length )

pure virtual

single frame compression routine for 8-bit raw pixel data.

May only be called if bytesPerSample() == 1.

Parameters

  columns | columns of frame
  rows | rows of frame
  interpr | photometric interpretation of input frame
  samplesPerPixel | samples per pixel of input frame
  image_buffer | pointer to frame buffer
  to | compressed frame returned in this parameter upon success
  length | length of compressed frame (in bytes) returned in this parameter upon success; length guaranteed to be always even.

Returns
  EC_Normal if successful, an error code otherwise.

Implemented in DJCompressIJG12Bit, DJCompressIJG16Bit, and DJCompressIJG8Bit.

The documentation for this class was generated from the following file:

- dcmjpeg/include/dcmtk/dcmjpeg/djencabs.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0